(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common'), require('@ngx-translate/core'), require('@angular/common/http'), require('@angular/router'), require('@angular/forms'), require('rxjs'), require('js-sha256'), require('ngx-translate-multi-http-loader')) :
    typeof define === 'function' && define.amd ? define('campaigns-core', ['exports', '@angular/core', '@angular/common', '@ngx-translate/core', '@angular/common/http', '@angular/router', '@angular/forms', 'rxjs', 'js-sha256', 'ngx-translate-multi-http-loader'], factory) :
    (global = global || self, factory(global['campaigns-core'] = {}, global.ng.core, global.ng.common, global.core$1, global.ng.common.http, global.ng.router, global.ng.forms, global.rxjs, global.jsSha256, global.ngxTranslateMultiHttpLoader));
}(this, (function (exports, core, common, core$1, http, router, forms, rxjs, jsSha256, ngxTranslateMultiHttpLoader) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __exportStar(m, exports) {
        for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
        if (m) return m.call(o);
        return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/campaigns-core.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CampaignsCoreService = /** @class */ (function () {
        function CampaignsCoreService() {
        }
        CampaignsCoreService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        CampaignsCoreService.ctorParameters = function () { return []; };
        /** @nocollapse */ CampaignsCoreService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function CampaignsCoreService_Factory() { return new CampaignsCoreService(); }, token: CampaignsCoreService, providedIn: "root" });
        return CampaignsCoreService;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/campaigns-core.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CampaignsCoreComponent = /** @class */ (function () {
        function CampaignsCoreComponent() {
        }
        /**
         * @return {?}
         */
        CampaignsCoreComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
        };
        CampaignsCoreComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-campaigns-core',
                        template: "\n    <p>\n      campaigns-core works!\n    </p>\n  "
                    }] }
        ];
        /** @nocollapse */
        CampaignsCoreComponent.ctorParameters = function () { return []; };
        return CampaignsCoreComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/services/session.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SessionService = /** @class */ (function () {
        function SessionService(http, environment) {
            this.http = http;
            this.environment = environment;
        }
        /**
         * @return {?}
         */
        SessionService.prototype.postSession = /**
         * @return {?}
         */
        function () {
            return this.http.post(this.environment.baseApi + "/api/v1/sessions", {});
        };
        /**
         * @param {?} session
         * @param {?} sessionId
         * @return {?}
         */
        SessionService.prototype.patchSession = /**
         * @param {?} session
         * @param {?} sessionId
         * @return {?}
         */
        function (session, sessionId) {
            /** @type {?} */
            var httpHeaders = new http.HttpHeaders().set('Content-Type', 'application/merge-patch+json');
            return this.http.patch(this.environment.baseApi + "/api/v1/sessions/" + sessionId, session, { headers: httpHeaders });
        };
        /**
         * @param {?} sessionId
         * @return {?}
         */
        SessionService.prototype.getSession = /**
         * @param {?} sessionId
         * @return {?}
         */
        function (sessionId) {
            return this.http.get(this.environment.baseApi + "/api/v1/sessions/" + sessionId);
        };
        SessionService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        SessionService.ctorParameters = function () { return [
            { type: http.HttpClient },
            { type: undefined, decorators: [{ type: core.Inject, args: ['environment',] }] }
        ]; };
        /** @nocollapse */ SessionService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function SessionService_Factory() { return new SessionService(core.ɵɵinject(http.HttpClient), core.ɵɵinject("environment")); }, token: SessionService, providedIn: "root" });
        return SessionService;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        SessionService.prototype.http;
        /**
         * @type {?}
         * @private
         */
        SessionService.prototype.environment;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/services/utils.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var UtilsService = /** @class */ (function () {
        function UtilsService(http, sessionService, translate, rendererFactory, router, route) {
            this.http = http;
            this.sessionService = sessionService;
            this.translate = translate;
            this.rendererFactory = rendererFactory;
            this.router = router;
            this.route = route;
        }
        /**
         * @param {?} object
         * @param {...?} args
         * @return {?}
         */
        UtilsService.prototype.getNested = /**
         * @param {?} object
         * @param {...?} args
         * @return {?}
         */
        function (object) {
            var args = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                args[_i - 1] = arguments[_i];
            }
            return args.reduce((/**
             * @param {?} object
             * @param {?} level
             * @return {?}
             */
            function (object, level) { return object && object[level]; }), object);
        };
        /**
         * @return {?}
         */
        UtilsService.prototype.getIPAddress = /**
         * @return {?}
         */
        function () {
            return this.http.get('http://api.ipify.org/?format=json');
        };
        /**
         * @return {?}
         */
        UtilsService.prototype.getSessionId = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var config = JSON.parse(localStorage.getItem('config'));
            if (config.id) {
                return config.id;
            }
            else {
                this.sessionService.postSession().subscribe((/**
                 * @param {?} session
                 * @return {?}
                 */
                function (session) {
                    localStorage.setItem('config', JSON.stringify(session));
                    return session.id;
                }));
            }
        };
        /**
         * @return {?}
         */
        UtilsService.prototype.getSession = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var config = JSON.parse(localStorage.getItem('config'));
            if (config.id) {
                return config;
            }
            else {
                this.sessionService.postSession().subscribe((/**
                 * @param {?} session
                 * @return {?}
                 */
                function (session) {
                    localStorage.setItem('config', JSON.stringify(session));
                    return session;
                }));
            }
        };
        /**
         * @return {?}
         */
        UtilsService.prototype.setRoutClassOnBody = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.renderer = this.rendererFactory.createRenderer(null, null);
            this.router.events.subscribe((/**
             * @param {?} event
             * @return {?}
             */
            function (event) {
                if (event instanceof router.NavigationStart) {
                    /** @type {?} */
                    var currentUrlSlug = event.url.slice(1);
                    currentUrlSlug = currentUrlSlug.split('?');
                    console.log("Mdrrr", currentUrlSlug);
                    if (currentUrlSlug) {
                        _this.renderer.addClass(document.body, "geo-" + currentUrlSlug[0]);
                        _this.translate.use(currentUrlSlug[0]);
                        console.log("TESTTT", currentUrlSlug[0]);
                    }
                    _this.route.queryParams.subscribe((/**
                     * @param {?} params
                     * @return {?}
                     */
                    function (params) {
                        if (params.lang) {
                            console.log("Mdrrr");
                            _this.renderer.addClass(document.body, "lang-" + params.lang);
                            _this.translate.use(params.lang);
                        }
                    }));
                }
            }));
        };
        /**
         * @return {?}
         */
        UtilsService.prototype.setDefaultTranslation = /**
         * @return {?}
         */
        function () {
            this.translate.setDefaultLang('us');
        };
        /**
         * @return {?}
         */
        UtilsService.prototype.setCakeParams = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var cake = {
                r: null,
                o: null,
                a: null,
                sa: null
            };
            this.route.queryParams.subscribe((/**
             * @param {?} params
             * @return {?}
             */
            function (params) {
                if (params.r)
                    cake.r = params.r;
                if (params.o)
                    cake.o = params.o;
                if (params.a)
                    cake.a = params.a;
                if (params.sa)
                    cake.sa = params.sa;
                localStorage.setItem('params', JSON.stringify(cake));
            }));
        };
        /**
         * @return {?}
         */
        UtilsService.prototype.setConfigSession = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var config = localStorage.getItem('config');
            if (config !== null && config !== '') {
                config = JSON.parse(config);
            }
            if (config === null || !config['campaign']) {
                this.sessionService.postSession().subscribe((/**
                 * @param {?} session
                 * @return {?}
                 */
                function (session) {
                    localStorage.setItem('config', JSON.stringify(session));
                }));
            }
        };
        UtilsService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        UtilsService.ctorParameters = function () { return [
            { type: http.HttpClient },
            { type: SessionService },
            { type: core$1.TranslateService },
            { type: core.RendererFactory2 },
            { type: router.Router },
            { type: router.ActivatedRoute }
        ]; };
        /** @nocollapse */ UtilsService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function UtilsService_Factory() { return new UtilsService(core.ɵɵinject(http.HttpClient), core.ɵɵinject(SessionService), core.ɵɵinject(core$1.TranslateService), core.ɵɵinject(core.RendererFactory2), core.ɵɵinject(router.Router), core.ɵɵinject(router.ActivatedRoute)); }, token: UtilsService, providedIn: "root" });
        return UtilsService;
    }());
    if (false) {
        /** @type {?} */
        UtilsService.prototype.renderer;
        /**
         * @type {?}
         * @private
         */
        UtilsService.prototype.http;
        /**
         * @type {?}
         * @private
         */
        UtilsService.prototype.sessionService;
        /**
         * @type {?}
         * @private
         */
        UtilsService.prototype.translate;
        /**
         * @type {?}
         * @private
         */
        UtilsService.prototype.rendererFactory;
        /**
         * @type {?}
         * @private
         */
        UtilsService.prototype.router;
        /**
         * @type {?}
         * @private
         */
        UtilsService.prototype.route;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/services/config-info.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ConfigInfoService = /** @class */ (function () {
        function ConfigInfoService(sessionService, utilsService) {
            this.sessionService = sessionService;
            this.utilsService = utilsService;
        }
        /**
         * @param {...?} args
         * @return {?}
         */
        ConfigInfoService.prototype.getConfigInfo = /**
         * @param {...?} args
         * @return {?}
         */
        function () {
            var _a;
            var _this = this;
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            /** @type {?} */
            var config = JSON.parse(localStorage.getItem('config'));
            if (config !== null && config !== '' && (_a = this.utilsService).getNested.apply(_a, __spread([config], args))) {
                return (this.getConfigValue(args, config));
            }
            else {
                this.sessionService.postSession().subscribe((/**
                 * @param {?} session
                 * @return {?}
                 */
                function (session) {
                    localStorage.setItem('config', JSON.stringify(session));
                    return (_this.getConfigValue(args, config));
                }));
            }
        };
        /**
         * @param {?} args
         * @param {?} config
         * @return {?}
         */
        ConfigInfoService.prototype.getConfigValue = /**
         * @param {?} args
         * @param {?} config
         * @return {?}
         */
        function (args, config) {
            args.forEach((/**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                config = config[val];
            }));
            return config;
        };
        /**
         * @return {?}
         */
        ConfigInfoService.prototype.getCurrentYear = /**
         * @return {?}
         */
        function () {
            return new Date().getFullYear();
        };
        ConfigInfoService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        ConfigInfoService.ctorParameters = function () { return [
            { type: SessionService },
            { type: UtilsService }
        ]; };
        /** @nocollapse */ ConfigInfoService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function ConfigInfoService_Factory() { return new ConfigInfoService(core.ɵɵinject(SessionService), core.ɵɵinject(UtilsService)); }, token: ConfigInfoService, providedIn: "root" });
        return ConfigInfoService;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        ConfigInfoService.prototype.sessionService;
        /**
         * @type {?}
         * @private
         */
        ConfigInfoService.prototype.utilsService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/services/validation-form.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ValidationFormService = /** @class */ (function () {
        function ValidationFormService(sessionService, utilsService) {
            this.sessionService = sessionService;
            this.utilsService = utilsService;
        }
        /**
         * @param {?} control
         * @return {?}
         */
        ValidationFormService.emailValidator = /**
         * @param {?} control
         * @return {?}
         */
        function (control) {
            // RFC 2822 compliant regex
            if (control.value.match(/[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?/)) {
                return null;
            }
            else {
                return { invalidEmailAddress: true };
            }
        };
        /**
         * @param {?} control
         * @return {?}
         */
        ValidationFormService.firstNameValidator = /**
         * @param {?} control
         * @return {?}
         */
        function (control) {
            // RFC 2822 compliant regex
            if (control.value.match(/^[a-zA-Z]+$/)) {
                return null;
            }
            else {
                return { invalidFirstName: true };
            }
        };
        /**
         * @param {?} control
         * @return {?}
         */
        ValidationFormService.lastNameValidator = /**
         * @param {?} control
         * @return {?}
         */
        function (control) {
            // RFC 2822 compliant regex
            if (control.value.match(/^[a-zA-Z]+$/)) {
                return null;
            }
            else {
                return { invalidLastName: true };
            }
        };
        /**
         * @param {?} control
         * @return {?}
         */
        ValidationFormService.cityValidator = /**
         * @param {?} control
         * @return {?}
         */
        function (control) {
            // RFC 2822 compliant regex
            if (control.value.match(/^[a-zA-Z]+$/)) {
                return null;
            }
            else {
                return { invalidCity: true };
            }
        };
        /**
         * @param {?} signupForm
         * @param {?} sessionId
         * @return {?}
         */
        ValidationFormService.prototype.verifAndPatchSession = /**
         * @param {?} signupForm
         * @param {?} sessionId
         * @return {?}
         */
        function (signupForm, sessionId) {
            var _this = this;
            return new rxjs.Observable((/**
             * @param {?} observer
             * @return {?}
             */
            function (observer) {
                /** @type {?} */
                var prospect = signupForm.value;
                _this.utilsService.getIPAddress().subscribe((/**
                 * @param {?} ip
                 * @return {?}
                 */
                function (ip) {
                    prospect.prospect['ip'] = ip.ip;
                    /** @type {?} */
                    var cake = _this.getCakeParams();
                    prospect.affiliate = cake;
                    _this.sessionService.patchSession(prospect, sessionId).subscribe((/**
                     * @param {?} session
                     * @return {?}
                     */
                    function (session) {
                        _this.sessionService.getSession(sessionId).subscribe((/**
                         * @param {?} session
                         * @return {?}
                         */
                        function (session) {
                            localStorage.setItem('config', JSON.stringify(session));
                            observer.next(true);
                            observer.complete();
                        }));
                    }), (/**
                     * @param {?} error
                     * @return {?}
                     */
                    function (error) {
                        /** @type {?} */
                        var errorMessage = JSON.parse(error.error.detail)[0].message;
                        _this.sessionService.getSession(sessionId).subscribe((/**
                         * @param {?} session
                         * @return {?}
                         */
                        function (session) {
                            localStorage.setItem('config', JSON.stringify(session));
                            observer.error(errorMessage);
                            observer.complete();
                        }));
                    }));
                }));
            }));
        };
        /**
         * @return {?}
         */
        ValidationFormService.prototype.getCakeParams = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var cake = localStorage.getItem('params');
            if (cake !== null && cake !== '') {
                cake = JSON.parse(cake);
            }
            return cake;
        };
        /**
         * @param {?} signupForm
         * @return {?}
         */
        ValidationFormService.prototype.checkHistoryEmail = /**
         * @param {?} signupForm
         * @return {?}
         */
        function (signupForm) {
            /** @type {?} */
            var session = this.utilsService.getSession();
            if (this.validationEmail(session.zBEmailValidations, signupForm) === true && this.validationEmail(session.mFEmailValidations, signupForm) === true)
                return true;
            else
                return false;
        };
        /**
         * @param {?} zeroBouce
         * @param {?} signupForm
         * @return {?}
         */
        ValidationFormService.prototype.validationEmail = /**
         * @param {?} zeroBouce
         * @param {?} signupForm
         * @return {?}
         */
        function (zeroBouce, signupForm) {
            /** @type {?} */
            var valid = true;
            zeroBouce.forEach((/**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (jsSha256.sha256(signupForm.value.prospect.email) === value.hash && value.valid === false)
                    valid = false;
            }));
            return valid;
        };
        ValidationFormService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        ValidationFormService.ctorParameters = function () { return [
            { type: SessionService },
            { type: UtilsService }
        ]; };
        /** @nocollapse */ ValidationFormService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function ValidationFormService_Factory() { return new ValidationFormService(core.ɵɵinject(SessionService), core.ɵɵinject(UtilsService)); }, token: ValidationFormService, providedIn: "root" });
        return ValidationFormService;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        ValidationFormService.prototype.sessionService;
        /**
         * @type {?}
         * @private
         */
        ValidationFormService.prototype.utilsService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/signup/signup.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SignupComponent = /** @class */ (function () {
        function SignupComponent(formBuilder, route, translate, configInfoService, validationService) {
            this.formBuilder = formBuilder;
            this.route = route;
            this.translate = translate;
            this.configInfoService = configInfoService;
            this.validationService = validationService;
            this.country = this.route.snapshot.routeConfig.path.toUpperCase();
            this.signupForm = this.formBuilder.group({
                'prospect': this.formBuilder.group({
                    'firstName': ['', [forms.Validators.required, ValidationFormService.firstNameValidator, forms.Validators.minLength(2), forms.Validators.maxLength(255)]],
                    'lastName': ['', [forms.Validators.required, ValidationFormService.lastNameValidator, forms.Validators.minLength(2), forms.Validators.maxLength(255)]],
                    'phone': ['', [forms.Validators.required, forms.Validators.minLength(6), forms.Validators.maxLength(20)]],
                    'email': ['', [forms.Validators.required, forms.Validators.email, ValidationFormService.emailValidator, forms.Validators.minLength(4), forms.Validators.maxLength(255)]],
                    'address': this.formBuilder.group({
                        'postcode': ['', [forms.Validators.required, forms.Validators.minLength(2), forms.Validators.maxLength(20)]],
                        'city': ['', [forms.Validators.required, ValidationFormService.cityValidator, forms.Validators.minLength(2), forms.Validators.maxLength(255)]],
                        'street': ['', [forms.Validators.required, forms.Validators.minLength(2), forms.Validators.maxLength(255)]],
                        'country': [this.country],
                    })
                })
            });
        }
        /**
         * @return {?}
         */
        SignupComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.country = this.route.snapshot.routeConfig.path.toUpperCase();
            this.preFiledInfo();
        };
        /**
         * @return {?}
         */
        SignupComponent.prototype.preFiledInfo = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var config = JSON.parse(localStorage.getItem('config'));
            if (config !== null && config !== '' && config.prospect) {
                this.signupForm.controls.prospect.patchValue({
                    "firstName": this.configInfoService.getConfigInfo('prospect', 'firstName'),
                    "lastName": this.configInfoService.getConfigInfo('prospect', 'lastName'),
                    "phone": this.configInfoService.getConfigInfo('prospect', 'phone'),
                    "email": this.configInfoService.getConfigInfo('prospect', 'email'),
                    "address": {
                        "city": this.configInfoService.getConfigInfo('prospect', 'address', 'city'),
                        "postcode": this.configInfoService.getConfigInfo('prospect', 'address', 'postcode'),
                        "street": this.configInfoService.getConfigInfo('prospect', 'address', 'street'),
                    }
                });
            }
        };
        /**
         * @return {?}
         */
        SignupComponent.prototype.patchSession = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.errorMessage = null;
            this.sessionId = this.configInfoService.getConfigInfo('id');
            if (this.signupForm.dirty && this.signupForm.valid && this.validationService.checkHistoryEmail(this.signupForm) === true) {
                this.validationService.verifAndPatchSession(this.signupForm, this.sessionId).subscribe((/**
                 * @param {?} session
                 * @return {?}
                 */
                function (session) {
                    /** @type {?} */
                    var redirectionUrl = _this.configInfoService.getConfigInfo('campaign', 'offers', [0], 'brands', [1], 'domain');
                    window.location.href = "https://" + redirectionUrl + "/payment/" + _this.sessionId;
                }), (/**
                 * @param {?} error
                 * @return {?}
                 */
                function (error) {
                    _this.errorMessage = error;
                }));
            }
            else
                this.errorMessage = 'An error occurred';
        };
        SignupComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-signup',
                        template: "<div class=\"form-signup-wrapper\">\n  <form [formGroup]=\"signupForm\" (ngSubmit)=\"patchSession()\" class=\"form form-signup\">\n    <div formGroupName=\"prospect\" class=\"prospect-wrapper\">\n      <div class=\"name-group field-group\">\n        <div class=\"first-name field form-group\">\n          <label for=\"firstName\" class=\"first-name-label label\">{{ 'signup.label.firstname' | translate }}</label>\n          <input type=\"text\" class=\"first-name-input form-control\" id=\"firstName\" placeholder=\"{{ 'signup.placeholder.firstname' | translate }}\" formControlName=\"firstName\" required>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'firstName'])\"></lib-control-messages>\n        </div>\n        <div class=\"lastName form-group field\">\n          <label for=\"lastName\" class=\"last-name-label label\">{{ 'signup.label.lastname' | translate }}</label>\n          <input type=\"text\" class=\"last-name-input form-control\" id=\"lastName\" placeholder=\"{{ 'signup.placeholder.lastname' | translate }}\" formControlName=\"lastName\" required>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'lastName'])\"></lib-control-messages>\n        </div>\n      </div>\n      <div formGroupName=\"address\" class=\"address-group field-group\">\n        <div class=\"address form-group field\">\n          <label for=\"street\" class=\"address-label label\">{{ 'signup.label.address' | translate }}</label>\n          <input type=\"text\" class=\"address-input form-control\" id=\"street\" placeholder=\"Address\" formControlName=\"street\" required specialIsAlphaNumeric>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'address', 'street'])\"></lib-control-messages>\n        </div>\n        <div class=\"postcode form-group field\">\n          <label for=\"postcode\" class=\"postcode-label label\">{{ 'signup.label.postcode' | translate }}</label>\n          <input type=\"text\" class=\"postcode-input form-control\" id=\"postcode\" placeholder=\"{{ 'signup.placeholder.postcode' | translate }}\" formControlName=\"postcode\" required specialIsAlphaNumeric>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'address', 'postcode'])\"></lib-control-messages>\n        </div>\n        <div class=\"city form-group field\">\n          <label for=\"city\" class=\"city-label label\">{{ 'signup.label.city' | translate }}</label>\n          <input type=\"text\" class=\"city-input form-control\" id=\"city\" placeholder=\"{{ 'signup.placeholder.city' | translate }}\" formControlName=\"city\" required specialIsAlphaNumeric>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'address', 'city'])\"></lib-control-messages>\n        </div>\n      </div>\n      <div class=\"contact-group field-group\">\n        <div class=\"phone form-group field\">\n          <label for=\"phone\" class=\"phone-label label\">{{ 'signup.label.phone' | translate }}</label>\n          <input type=\"text\" class=\"phone-input form-control\" id=\"phone\" placeholder=\"{{ 'signup.placeholder.phone' | translate }}\" formControlName=\"phone\" required phoneNumeric>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'phone'])\"></lib-control-messages>\n        </div>\n        <div class=\"email form-group field\">\n          <label for=\"email\" class=\"email-label label\">{{ 'signup.label.email' | translate }}</label>\n          <input type=\"text\" class=\"email-input form-control\" id=\"email\" placeholder=\"{{ 'signup.placeholder.email' | translate }}\" formControlName=\"email\" required>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'email'])\"></lib-control-messages>\n        </div>\n      </div>\n      <div class=\"buttons form-group field-submit\">\n        <button type=\"submit\" class=\"button button-submit\" [disabled]=\"!signupForm.valid\">{{ 'signup.button' | translate }}</button>\n      </div>\n    </div>\n  </form>\n</div>\n",
                        styles: ["button{width:100%}"]
                    }] }
        ];
        /** @nocollapse */
        SignupComponent.ctorParameters = function () { return [
            { type: forms.FormBuilder },
            { type: router.ActivatedRoute },
            { type: core$1.TranslateService },
            { type: ConfigInfoService },
            { type: ValidationFormService }
        ]; };
        return SignupComponent;
    }());
    if (false) {
        /** @type {?} */
        SignupComponent.prototype.sessionId;
        /** @type {?} */
        SignupComponent.prototype.session;
        /** @type {?} */
        SignupComponent.prototype.country;
        /** @type {?} */
        SignupComponent.prototype.errorMessage;
        /** @type {?} */
        SignupComponent.prototype.signupForm;
        /**
         * @type {?}
         * @private
         */
        SignupComponent.prototype.formBuilder;
        /**
         * @type {?}
         * @private
         */
        SignupComponent.prototype.route;
        /**
         * @type {?}
         * @private
         */
        SignupComponent.prototype.translate;
        /**
         * @type {?}
         * @private
         */
        SignupComponent.prototype.configInfoService;
        /**
         * @type {?}
         * @private
         */
        SignupComponent.prototype.validationService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/services/company-info.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CompanyInfoService = /** @class */ (function () {
        function CompanyInfoService() {
        }
        /**
         * @return {?}
         */
        CompanyInfoService.prototype.getYear = /**
         * @return {?}
         */
        function () {
            return "2020";
        };
        /**
         * @return {?}
         */
        CompanyInfoService.prototype.getDomain = /**
         * @return {?}
         */
        function () {
            return "domain";
        };
        /**
         * @return {?}
         */
        CompanyInfoService.prototype.getCity = /**
         * @return {?}
         */
        function () {
            return "Dubai";
        };
        /**
         * @return {?}
         */
        CompanyInfoService.prototype.getCountry = /**
         * @return {?}
         */
        function () {
            return "UAE";
        };
        /**
         * @return {?}
         */
        CompanyInfoService.prototype.getState = /**
         * @return {?}
         */
        function () {
            return "JVC";
        };
        /**
         * @return {?}
         */
        CompanyInfoService.prototype.getTags = /**
         * @return {?}
         */
        function () {
            return "bla bla bla";
        };
        CompanyInfoService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        CompanyInfoService.ctorParameters = function () { return []; };
        /** @nocollapse */ CompanyInfoService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function CompanyInfoService_Factory() { return new CompanyInfoService(); }, token: CompanyInfoService, providedIn: "root" });
        return CompanyInfoService;
    }());
    if (false) {
        /**
         * @type {?}
         * @protected
         */
        CompanyInfoService.prototype.year;
        /**
         * @type {?}
         * @protected
         */
        CompanyInfoService.prototype.domain;
        /**
         * @type {?}
         * @protected
         */
        CompanyInfoService.prototype.city;
        /**
         * @type {?}
         * @protected
         */
        CompanyInfoService.prototype.country;
        /**
         * @type {?}
         * @protected
         */
        CompanyInfoService.prototype.state;
        /**
         * @type {?}
         * @protected
         */
        CompanyInfoService.prototype.tags;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/environments/environment.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // This file can be replaced during build by using the `fileReplacements` array.
    // `ng build --prod` replaces `environment.ts` with `environment.prod.ts`.
    // The list of file replacements can be found in `angular.json`.
    /** @type {?} */
    var environment = {
        production: false,
        baseApi: 'http://landing-staging.thelmit.com'
    };

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/config-info/initial-period/initial-period.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var InitialPeriodComponent = /** @class */ (function () {
        function InitialPeriodComponent(sessionService, utilsService) {
            this.sessionService = sessionService;
            this.utilsService = utilsService;
        }
        /**
         * @return {?}
         */
        InitialPeriodComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.getInitialPeriod();
        };
        /**
         * @return {?}
         */
        InitialPeriodComponent.prototype.getInitialPeriod = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var config = JSON.parse(localStorage.getItem('config'));
            if (this.utilsService.getNested(config, 'campaign', 'offers', [0], 'products', [0], 'installments', [0], 'cycle', 'count') &&
                this.utilsService.getNested(config, 'campaign', 'offers', [0], 'products', [0], 'installments', [0], 'cycle', 'type')) {
                this.initialPeriod = config.campaign.offers[0].products[0].installments[0].cycle.count + " " + config.campaign.offers[0].products[0].installments[0].cycle.type;
            }
            else {
                this.sessionService.postSession().subscribe((/**
                 * @param {?} session
                 * @return {?}
                 */
                function (session) {
                    localStorage.setItem('config', JSON.stringify(session));
                    _this.initialPeriod = session.campaign.offers[0].products[0].installments[0].cycle.count + " " + session.campaign.offers[0].products[0].installments[0].cycle.type;
                }));
            }
        };
        InitialPeriodComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-initial-period',
                        template: '{{initialPeriod}}'
                    }] }
        ];
        /** @nocollapse */
        InitialPeriodComponent.ctorParameters = function () { return [
            { type: SessionService },
            { type: UtilsService }
        ]; };
        return InitialPeriodComponent;
    }());
    if (false) {
        /** @type {?} */
        InitialPeriodComponent.prototype.initialPeriod;
        /**
         * @type {?}
         * @private
         */
        InitialPeriodComponent.prototype.sessionService;
        /**
         * @type {?}
         * @private
         */
        InitialPeriodComponent.prototype.utilsService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/config-info/initial-price/initial-price.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var InitialPriceComponent = /** @class */ (function () {
        function InitialPriceComponent(sessionService, utilsService) {
            this.sessionService = sessionService;
            this.utilsService = utilsService;
        }
        /**
         * @return {?}
         */
        InitialPriceComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.getInitialPrice();
        };
        /**
         * @return {?}
         */
        InitialPriceComponent.prototype.getInitialPrice = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var config = JSON.parse(localStorage.getItem('config'));
            if (this.utilsService.getNested(config, 'campaign', 'offers', [0], 'products', [0], 'installments', [0], 'price')) {
                this.initialPrice = config.campaign.offers[0].products[0].installments[0].price;
            }
            else {
                this.sessionService.postSession().subscribe((/**
                 * @param {?} session
                 * @return {?}
                 */
                function (session) {
                    localStorage.setItem('config', JSON.stringify(session));
                    _this.initialPrice = session.campaign.offers[0].products[0].installments[0].price;
                }));
            }
        };
        InitialPriceComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-initial-price',
                        template: '{{initialPrice}}'
                    }] }
        ];
        /** @nocollapse */
        InitialPriceComponent.ctorParameters = function () { return [
            { type: SessionService },
            { type: UtilsService }
        ]; };
        return InitialPriceComponent;
    }());
    if (false) {
        /** @type {?} */
        InitialPriceComponent.prototype.initialPrice;
        /**
         * @type {?}
         * @private
         */
        InitialPriceComponent.prototype.sessionService;
        /**
         * @type {?}
         * @private
         */
        InitialPriceComponent.prototype.utilsService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/config-info/re-bill-price/re-bill-price.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ReBillPriceComponent = /** @class */ (function () {
        function ReBillPriceComponent(sessionService, utilsService) {
            this.sessionService = sessionService;
            this.utilsService = utilsService;
        }
        /**
         * @return {?}
         */
        ReBillPriceComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.getReBillPrice();
        };
        /**
         * @return {?}
         */
        ReBillPriceComponent.prototype.getReBillPrice = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var config = JSON.parse(localStorage.getItem('config'));
            if (this.utilsService.getNested(config, 'campaign', 'offers', [0], 'products', [0], 'installments', [1], 'price')) {
                this.reBillPrice = config.campaign.offers[0].products[0].installments[1].price;
            }
            else {
                this.sessionService.postSession().subscribe((/**
                 * @param {?} session
                 * @return {?}
                 */
                function (session) {
                    localStorage.setItem('config', JSON.stringify(session));
                    _this.reBillPrice = session.campaign.offers[0].products[0].installments[1].price;
                }));
            }
        };
        ReBillPriceComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-re-bill-price',
                        template: '{{reBillPrice}}'
                    }] }
        ];
        /** @nocollapse */
        ReBillPriceComponent.ctorParameters = function () { return [
            { type: SessionService },
            { type: UtilsService }
        ]; };
        return ReBillPriceComponent;
    }());
    if (false) {
        /** @type {?} */
        ReBillPriceComponent.prototype.reBillPrice;
        /**
         * @type {?}
         * @private
         */
        ReBillPriceComponent.prototype.sessionService;
        /**
         * @type {?}
         * @private
         */
        ReBillPriceComponent.prototype.utilsService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/config-info/re-bill-period/re-bill-period.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ReBillPeriodComponent = /** @class */ (function () {
        function ReBillPeriodComponent(sessionService, utilsService) {
            this.sessionService = sessionService;
            this.utilsService = utilsService;
        }
        /**
         * @return {?}
         */
        ReBillPeriodComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.getReBillPeriod();
        };
        /**
         * @return {?}
         */
        ReBillPeriodComponent.prototype.getReBillPeriod = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var config = JSON.parse(localStorage.getItem('config'));
            if (this.utilsService.getNested(config, 'campaign', 'offers', [0], 'products', [0], 'installments', [1], 'cycle', 'count') &&
                this.utilsService.getNested(config, 'campaign', 'offers', [0], 'products', [0], 'installments', [1], 'cycle', 'type')) {
                this.reBillPeriod = config.campaign.offers[0].products[0].installments[1].cycle.count + " " + config.campaign.offers[0].products[0].installments[1].cycle.type;
            }
            else {
                this.sessionService.postSession().subscribe((/**
                 * @param {?} session
                 * @return {?}
                 */
                function (session) {
                    localStorage.setItem('config', JSON.stringify(session));
                    _this.reBillPeriod = session.campaign.offers[0].products[0].installments[1].cycle.count + " " + session.campaign.offers[0].products[0].installments[1].cycle.type;
                }));
            }
        };
        ReBillPeriodComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-re-bill-period',
                        template: '{{reBillPeriod}}'
                    }] }
        ];
        /** @nocollapse */
        ReBillPeriodComponent.ctorParameters = function () { return [
            { type: SessionService },
            { type: UtilsService }
        ]; };
        return ReBillPeriodComponent;
    }());
    if (false) {
        /** @type {?} */
        ReBillPeriodComponent.prototype.reBillPeriod;
        /**
         * @type {?}
         * @private
         */
        ReBillPeriodComponent.prototype.sessionService;
        /**
         * @type {?}
         * @private
         */
        ReBillPeriodComponent.prototype.utilsService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/config-info/currency/currency.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CurrencyComponent = /** @class */ (function () {
        function CurrencyComponent(sessionService, utilsService) {
            this.sessionService = sessionService;
            this.utilsService = utilsService;
        }
        /**
         * @return {?}
         */
        CurrencyComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.getCurrency();
        };
        /**
         * @return {?}
         */
        CurrencyComponent.prototype.getCurrency = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var config = JSON.parse(localStorage.getItem('config'));
            if (this.utilsService.getNested(config, 'campaign', 'currency')) {
                this.currency = config.campaign.currency;
            }
            else {
                this.sessionService.postSession().subscribe((/**
                 * @param {?} session
                 * @return {?}
                 */
                function (session) {
                    localStorage.setItem('config', JSON.stringify(session));
                    _this.currency = session.campaign.currency;
                }));
            }
        };
        CurrencyComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-currency',
                        template: '{{currency}}'
                    }] }
        ];
        /** @nocollapse */
        CurrencyComponent.ctorParameters = function () { return [
            { type: SessionService },
            { type: UtilsService }
        ]; };
        return CurrencyComponent;
    }());
    if (false) {
        /** @type {?} */
        CurrencyComponent.prototype.currency;
        /**
         * @type {?}
         * @private
         */
        CurrencyComponent.prototype.sessionService;
        /**
         * @type {?}
         * @private
         */
        CurrencyComponent.prototype.utilsService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/config-info/current-year/current-year.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CurrentYearComponent = /** @class */ (function () {
        function CurrentYearComponent() {
        }
        /**
         * @return {?}
         */
        CurrentYearComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.year = (new Date()).getFullYear();
        };
        CurrentYearComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-current-year',
                        template: '{{year}}'
                    }] }
        ];
        /** @nocollapse */
        CurrentYearComponent.ctorParameters = function () { return []; };
        return CurrentYearComponent;
    }());
    if (false) {
        /** @type {?} */
        CurrentYearComponent.prototype.year;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/config-info/config-info.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ConfigInfoComponent = /** @class */ (function () {
        function ConfigInfoComponent() {
        }
        /**
         * @return {?}
         */
        ConfigInfoComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
        };
        ConfigInfoComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-config-info',
                        template: ''
                    }] }
        ];
        /** @nocollapse */
        ConfigInfoComponent.ctorParameters = function () { return []; };
        return ConfigInfoComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/signup-two/signup-two.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SignupTwoComponent = /** @class */ (function () {
        function SignupTwoComponent(fb, route, configInfoService, validationService) {
            this.fb = fb;
            this.route = route;
            this.configInfoService = configInfoService;
            this.validationService = validationService;
            this.country = this.route.snapshot.routeConfig.path.toUpperCase();
            this.signupForm = this.fb.group({
                'prospect': this.fb.group({
                    'firstName': ['', [forms.Validators.required, ValidationFormService.firstNameValidator, forms.Validators.minLength(2), forms.Validators.maxLength(255)]],
                    'lastName': ['', [forms.Validators.required, ValidationFormService.lastNameValidator, forms.Validators.minLength(2), forms.Validators.maxLength(255)]],
                    'phone': ['', [forms.Validators.required, forms.Validators.minLength(6), forms.Validators.maxLength(20)]],
                    'email': ['', [forms.Validators.required, forms.Validators.email, ValidationFormService.emailValidator, forms.Validators.minLength(4), forms.Validators.maxLength(255)]],
                    'address': this.fb.group({
                        'postcode': ['', [forms.Validators.required, forms.Validators.minLength(2), forms.Validators.maxLength(20)]],
                        'street': ['', [forms.Validators.required, forms.Validators.minLength(2), forms.Validators.maxLength(255)]],
                        'state': ['', [forms.Validators.required, forms.Validators.minLength(2), forms.Validators.maxLength(255)]],
                        'country': [this.country],
                    })
                })
            });
        }
        /**
         * @return {?}
         */
        SignupTwoComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.country = this.route.snapshot.routeConfig.path.toUpperCase();
            this.preFiledInfo();
        };
        /**
         * @return {?}
         */
        SignupTwoComponent.prototype.preFiledInfo = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var config = JSON.parse(localStorage.getItem('config'));
            if (config !== null && config !== '' && config.prospect) {
                this.signupForm.controls.prospect.patchValue({
                    "firstName": this.configInfoService.getConfigInfo('prospect', 'firstName'),
                    "lastName": this.configInfoService.getConfigInfo('prospect', 'lastName'),
                    "phone": this.configInfoService.getConfigInfo('prospect', 'phone'),
                    "email": this.configInfoService.getConfigInfo('prospect', 'email'),
                    "address": {
                        "postcode": this.configInfoService.getConfigInfo('prospect', 'address', 'postcode'),
                        "street": this.configInfoService.getConfigInfo('prospect', 'address', 'street'),
                        "state": this.configInfoService.getConfigInfo('prospect', 'address', 'state')
                    }
                });
            }
        };
        /**
         * @return {?}
         */
        SignupTwoComponent.prototype.patchSession = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.errorMessage = null;
            this.sessionId = this.configInfoService.getConfigInfo('id');
            if (this.signupForm.dirty && this.signupForm.valid && this.validationService.checkHistoryEmail(this.signupForm) === true) {
                this.validationService.verifAndPatchSession(this.signupForm, this.sessionId).subscribe((/**
                 * @param {?} session
                 * @return {?}
                 */
                function (session) {
                    /** @type {?} */
                    var redirectionUrl = _this.configInfoService.getConfigInfo('campaign', 'offers', [0], 'brands', [1], 'domain');
                    window.location.href = "https://" + redirectionUrl + "/payment/" + _this.sessionId;
                }), (/**
                 * @param {?} error
                 * @return {?}
                 */
                function (error) {
                    _this.errorMessage = error;
                }));
            }
            else
                this.errorMessage = 'An error occurred';
        };
        SignupTwoComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-signup-two',
                        template: "<div class=\"form-signup-two-wrapper\">\n  <form [formGroup]=\"signupForm\" (ngSubmit)=\"patchSession()\" class=\"form form-signup-two\">\n    <div formGroupName=\"prospect\" class=\"prospect-wrapper\">\n      <div class=\"name-group field-group\">\n        <div class=\"first-name field form-group\">\n          <label for=\"firstName\" class=\"first-name-label label\">{{ 'signup.label.firstname' | translate }}</label>\n          <input type=\"text\" class=\"first-name-input form-control\" id=\"firstName\" placeholder=\"{{ 'signup.placeholder.firstname' | translate }}\" formControlName=\"firstName\" required>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'firstName'])\"></lib-control-messages>\n        </div>\n        <div class=\"lastName form-group field\">\n          <label for=\"lastName\" class=\"last-name-label label\">{{ 'signup.label.lastname' | translate }}</label>\n          <input type=\"text\" class=\"last-name-input form-control\" id=\"lastName\" placeholder=\"{{ 'signup.placeholder.lastname' | translate }}\" formControlName=\"lastName\" required>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'lastName'])\"></lib-control-messages>\n        </div>\n      </div>\n      <div formGroupName=\"address\" class=\"address-group field-group\">\n        <div class=\"address form-group field\">\n          <label for=\"street\" class=\"address-label label\">{{ 'signup.label.address' | translate }}</label>\n          <input type=\"text\" class=\"address-input form-control\" id=\"street\" placeholder=\"{{ 'signup.placeholder.address' | translate }}\" formControlName=\"street\" required specialIsAlphaNumeric>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'address', 'street'])\"></lib-control-messages>\n        </div>\n        <div class=\"postcode form-group field\">\n          <label for=\"postcode\" class=\"postcode-label label\">{{ 'signup.label.postcode' | translate }}</label>\n          <input type=\"text\" class=\"postcode-input form-control\" id=\"postcode\" placeholder=\"{{ 'signup.placeholder.postcode' | translate }}\" formControlName=\"postcode\" required specialIsAlphaNumeric>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'address', 'postcode'])\"></lib-control-messages>\n        </div>\n        <div class=\"state form-group field\">\n          <label for=\"state\" class=\"state-label label\">{{ 'signup.label.state' | translate }}</label>\n          <input type=\"text\" class=\"state-input form-control\" id=\"state\" placeholder=\"{{ 'signup.placeholder.state' | translate }}\" formControlName=\"state\" required specialIsAlphaNumeric>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'address', 'state'])\"></lib-control-messages>\n        </div>\n      </div>\n      <div class=\"contact-group field-group\">\n        <div class=\"phone form-group field\">\n          <label for=\"phone\" class=\"phone-label label\">{{ 'signup.label.phone' | translate }}</label>\n          <input type=\"text\" class=\"phone-input form-control\" id=\"phone\" placeholder=\"{{ 'signup.placeholder.phone' | translate }}\" formControlName=\"phone\" required phoneNumeric>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'phone'])\"></lib-control-messages>\n        </div>\n        <div class=\"email form-group field\">\n          <label for=\"email\" class=\"email-label label\">{{ 'signup.label.email' | translate }}</label>\n          <input type=\"text\" class=\"email-input form-control\" id=\"email\" placeholder=\"{{ 'signup.placeholder.email' | translate }}\" formControlName=\"email\" required>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'email'])\"></lib-control-messages>\n        </div>\n      </div>\n      <div class=\"buttons form-group field-submit\">\n        <button type=\"submit\" class=\"button button-submit\" [disabled]=\"!signupForm.valid\">{{ 'signup.button' | translate }}</button>\n      </div>\n    </div>\n  </form>\n</div>\n",
                        styles: ["button{width:100%}"]
                    }] }
        ];
        /** @nocollapse */
        SignupTwoComponent.ctorParameters = function () { return [
            { type: forms.FormBuilder },
            { type: router.ActivatedRoute },
            { type: ConfigInfoService },
            { type: ValidationFormService }
        ]; };
        return SignupTwoComponent;
    }());
    if (false) {
        /** @type {?} */
        SignupTwoComponent.prototype.sessionId;
        /** @type {?} */
        SignupTwoComponent.prototype.session;
        /** @type {?} */
        SignupTwoComponent.prototype.country;
        /** @type {?} */
        SignupTwoComponent.prototype.errorMessage;
        /** @type {?} */
        SignupTwoComponent.prototype.signupForm;
        /**
         * @type {?}
         * @private
         */
        SignupTwoComponent.prototype.fb;
        /**
         * @type {?}
         * @private
         */
        SignupTwoComponent.prototype.route;
        /**
         * @type {?}
         * @private
         */
        SignupTwoComponent.prototype.configInfoService;
        /**
         * @type {?}
         * @private
         */
        SignupTwoComponent.prototype.validationService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/signup-three/signup-three.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SignupThreeComponent = /** @class */ (function () {
        function SignupThreeComponent(fb, route, configInfoService, validationService) {
            this.fb = fb;
            this.route = route;
            this.configInfoService = configInfoService;
            this.validationService = validationService;
            this.country = this.route.snapshot.routeConfig.path.toUpperCase();
            this.signupForm = this.fb.group({
                'prospect': this.fb.group({
                    'firstName': ['', [forms.Validators.required, ValidationFormService.firstNameValidator, forms.Validators.minLength(2), forms.Validators.maxLength(255)]],
                    'lastName': ['', [forms.Validators.required, ValidationFormService.lastNameValidator, forms.Validators.minLength(2), forms.Validators.maxLength(255)]],
                    'phone': ['', [forms.Validators.required, forms.Validators.minLength(6), forms.Validators.maxLength(20)]],
                    'email': ['', [forms.Validators.required, forms.Validators.email, ValidationFormService.emailValidator, forms.Validators.minLength(4), forms.Validators.maxLength(255)]],
                    'address': this.fb.group({
                        'city': ['', [forms.Validators.required, ValidationFormService.cityValidator, forms.Validators.minLength(2), forms.Validators.maxLength(255)]],
                        'street': ['', [forms.Validators.required, forms.Validators.minLength(2), forms.Validators.maxLength(255)]],
                        'country': [this.country],
                        'state': ['', [forms.Validators.required, forms.Validators.minLength(2), forms.Validators.maxLength(255)]]
                    })
                })
            });
        }
        /**
         * @return {?}
         */
        SignupThreeComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.country = this.route.snapshot.routeConfig.path.toUpperCase();
            this.preFiledInfo();
        };
        /**
         * @return {?}
         */
        SignupThreeComponent.prototype.preFiledInfo = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var config = JSON.parse(localStorage.getItem('config'));
            if (config !== null && config !== '' && config.prospect) {
                this.signupForm.controls.prospect.patchValue({
                    "firstName": this.configInfoService.getConfigInfo('prospect', 'firstName'),
                    "lastName": this.configInfoService.getConfigInfo('prospect', 'lastName'),
                    "phone": this.configInfoService.getConfigInfo('prospect', 'phone'),
                    "email": this.configInfoService.getConfigInfo('prospect', 'email'),
                    "address": {
                        "city": this.configInfoService.getConfigInfo('prospect', 'address', 'city'),
                        "street": this.configInfoService.getConfigInfo('prospect', 'address', 'street'),
                        "state": this.configInfoService.getConfigInfo('prospect', 'address', 'state')
                    }
                });
            }
        };
        /**
         * @return {?}
         */
        SignupThreeComponent.prototype.patchSession = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.errorMessage = null;
            this.sessionId = this.configInfoService.getConfigInfo('id');
            if (this.signupForm.dirty && this.signupForm.valid && this.validationService.checkHistoryEmail(this.signupForm) === true) {
                this.validationService.verifAndPatchSession(this.signupForm, this.sessionId).subscribe((/**
                 * @param {?} session
                 * @return {?}
                 */
                function (session) {
                    /** @type {?} */
                    var redirectionUrl = _this.configInfoService.getConfigInfo('campaign', 'offers', [0], 'brands', [1], 'domain');
                    window.location.href = "https://" + redirectionUrl + "/payment/" + _this.sessionId;
                }), (/**
                 * @param {?} error
                 * @return {?}
                 */
                function (error) {
                    _this.errorMessage = error;
                }));
            }
            else
                this.errorMessage = 'An error occurred';
        };
        SignupThreeComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-signup-three',
                        template: "<div class=\"form-signup-three-wrapper\">\n  <form [formGroup]=\"signupForm\" (ngSubmit)=\"patchSession()\" class=\"form form-signup-three\">\n    <div formGroupName=\"prospect\" class=\"prospect-wrapper\">\n      <div class=\"name-group field-group\">\n        <div class=\"first-name field form-group\">\n          <label for=\"firstName\" class=\"first-name-label label\">{{ 'signup.label.firstname' | translate }}</label>\n          <input type=\"text\" class=\"first-name-input form-control\" id=\"firstName\" placeholder=\"{{ 'signup.placeholder.firstname' | translate }}\" formControlName=\"firstName\" required>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'firstName'])\"></lib-control-messages>\n        </div>\n        <div class=\"lastName form-group field\">\n          <label for=\"lastName\" class=\"last-name-label label\">{{ 'signup.label.lastname' | translate }}</label>\n          <input type=\"text\" class=\"last-name-input form-control\" id=\"lastName\" placeholder=\"{{ 'signup.placeholder.lastname' | translate }}\" formControlName=\"lastName\" required>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'lastName'])\"></lib-control-messages>\n        </div>\n      </div>\n      <div formGroupName=\"address\" class=\"address-group field-group\">\n        <div class=\"address form-group field\">\n          <label for=\"street\" class=\"address-label label\">{{ 'signup.label.address' | translate }}</label>\n          <input type=\"text\" class=\"address-input form-control\" id=\"street\" placeholder=\"{{ 'signup.placeholder.address' | translate }}\" formControlName=\"street\" required specialIsAlphaNumeric>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'address', 'street'])\"></lib-control-messages>\n        </div>\n        <div class=\"field\">\n          <div class=\"city-wrapper\">\n            <label for=\"city\" class=\"label\">{{ 'signup.label.city' | translate }}:</label>\n            <input type=\"text\" class=\"form-control\" id=\"city\" placeholder=\"{{ 'signup.placeholder.city' | translate }}\" formControlName=\"city\" specialIsAlphaNumeric required>\n            <lib-control-messages [control]=\"signupForm.get(['prospect', 'address', 'city'])\"></lib-control-messages>\n          </div>\n      </div>\n        <div class=\"state form-group field\">\n          <label for=\"state\" class=\"state-label label\">{{ 'signup.label.state' | translate }}</label>\n          <input type=\"text\" class=\"state-input form-control\" id=\"state\" placeholder=\"{{ 'signup.placeholder.state' | translate }}\" formControlName=\"state\" required specialIsAlphaNumeric>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'address', 'state'])\"></lib-control-messages>\n        </div>\n      </div>\n      <div class=\"contact-group field-group\">\n        <div class=\"phone form-group field\">\n          <label for=\"phone\" class=\"phone-label label\">{{ 'signup.label.phone' | translate }}</label>\n          <input type=\"text\" class=\"phone-input form-control\" id=\"phone\" placeholder=\"{{ 'signup.placeholder.phone' | translate }}\" formControlName=\"phone\" required phoneNumeric>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'phone'])\"></lib-control-messages>\n        </div>\n        <div class=\"email form-group field\">\n          <label for=\"email\" class=\"email-label label\">{{ 'signup.label.email' | translate }}</label>\n          <input type=\"text\" class=\"email-input form-control\" id=\"email\" placeholder=\"{{ 'signup.placeholder.email' | translate }}\" formControlName=\"email\" required>\n          <lib-control-messages [control]=\"signupForm.get(['prospect', 'email'])\"></lib-control-messages>\n        </div>\n      </div>\n      <div class=\"buttons form-group field-submit\">\n        <button type=\"submit\" class=\"button button-submit\" [disabled]=\"!signupForm.valid\">{{ 'signup.button' | translate }}</button>\n      </div>\n    </div>\n  </form>\n</div>\n",
                        styles: ["button{width:100%}"]
                    }] }
        ];
        /** @nocollapse */
        SignupThreeComponent.ctorParameters = function () { return [
            { type: forms.FormBuilder },
            { type: router.ActivatedRoute },
            { type: ConfigInfoService },
            { type: ValidationFormService }
        ]; };
        return SignupThreeComponent;
    }());
    if (false) {
        /** @type {?} */
        SignupThreeComponent.prototype.sessionId;
        /** @type {?} */
        SignupThreeComponent.prototype.session;
        /** @type {?} */
        SignupThreeComponent.prototype.country;
        /** @type {?} */
        SignupThreeComponent.prototype.errorMessage;
        /** @type {?} */
        SignupThreeComponent.prototype.signupForm;
        /**
         * @type {?}
         * @private
         */
        SignupThreeComponent.prototype.fb;
        /**
         * @type {?}
         * @private
         */
        SignupThreeComponent.prototype.route;
        /**
         * @type {?}
         * @private
         */
        SignupThreeComponent.prototype.configInfoService;
        /**
         * @type {?}
         * @private
         */
        SignupThreeComponent.prototype.validationService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/signup-four/signup-four.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SignupFourComponent = /** @class */ (function () {
        function SignupFourComponent(fb, route, validationService, configInfoService) {
            this.fb = fb;
            this.route = route;
            this.validationService = validationService;
            this.configInfoService = configInfoService;
            this.country = this.route.snapshot.routeConfig.path.toUpperCase();
            this.signupForm = this.fb.group({
                'prospect': this.fb.group({
                    'firstName': ['', [forms.Validators.required, ValidationFormService.firstNameValidator, forms.Validators.minLength(2), forms.Validators.maxLength(255)]],
                    'lastName': ['', [forms.Validators.required, ValidationFormService.lastNameValidator, forms.Validators.minLength(2), forms.Validators.maxLength(255)]],
                    'phone': ['', [forms.Validators.required, forms.Validators.minLength(6), forms.Validators.maxLength(20)]],
                    'email': ['', [forms.Validators.required, forms.Validators.email, ValidationFormService.emailValidator, forms.Validators.minLength(4), forms.Validators.maxLength(255)]],
                    'address': this.fb.group({
                        'postcode': ['', [forms.Validators.required, forms.Validators.minLength(2), forms.Validators.maxLength(20)]],
                        'city': ['', [forms.Validators.required, ValidationFormService.cityValidator, forms.Validators.minLength(2), forms.Validators.maxLength(255)]],
                        'street': ['', [forms.Validators.required, forms.Validators.minLength(2), forms.Validators.maxLength(255)]],
                        'country': [this.country],
                        'state': ['', [forms.Validators.required, forms.Validators.minLength(2), forms.Validators.maxLength(255)]]
                    })
                })
            });
        }
        /**
         * @return {?}
         */
        SignupFourComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.country = this.route.snapshot.routeConfig.path.toUpperCase();
            this.preFiledInfo();
        };
        /**
         * @return {?}
         */
        SignupFourComponent.prototype.preFiledInfo = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var config = JSON.parse(localStorage.getItem('config'));
            if (config !== null && config !== '' && config.prospect) {
                this.signupForm.controls.prospect.patchValue({
                    "firstName": this.configInfoService.getConfigInfo('prospect', 'firstName'),
                    "lastName": this.configInfoService.getConfigInfo('prospect', 'lastName'),
                    "phone": this.configInfoService.getConfigInfo('prospect', 'phone'),
                    "email": this.configInfoService.getConfigInfo('prospect', 'email'),
                    "address": {
                        "city": this.configInfoService.getConfigInfo('prospect', 'address', 'city'),
                        "postcode": this.configInfoService.getConfigInfo('prospect', 'address', 'postcode'),
                        "street": this.configInfoService.getConfigInfo('prospect', 'address', 'street'),
                        "state": this.configInfoService.getConfigInfo('prospect', 'address', 'state')
                    }
                });
            }
        };
        /**
         * @return {?}
         */
        SignupFourComponent.prototype.patchSession = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.errorMessage = null;
            this.sessionId = this.configInfoService.getConfigInfo('id');
            if (this.signupForm.dirty && this.signupForm.valid && this.validationService.checkHistoryEmail(this.signupForm) === true) {
                this.validationService.verifAndPatchSession(this.signupForm, this.sessionId).subscribe((/**
                 * @param {?} session
                 * @return {?}
                 */
                function (session) {
                    /** @type {?} */
                    var redirectionUrl = _this.configInfoService.getConfigInfo('campaign', 'offers', [0], 'brands', [1], 'domain');
                    window.location.href = "https://" + redirectionUrl + "/payment/" + _this.sessionId;
                }), (/**
                 * @param {?} error
                 * @return {?}
                 */
                function (error) {
                    _this.errorMessage = error;
                }));
            }
            else
                this.errorMessage = 'An error occurred';
        };
        SignupFourComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-signup-four',
                        template: "<div class=\"signup-wrapper signup-four\">\n  <form [formGroup]=\"signupForm\" (ngSubmit)=\"patchSession()\" class=\"signup-form\">\n    <div formGroupName=\"prospect\" class=\"prospect-wrapper\">\n      <div class=\"signup-four-wrapper\">\n        <div class=\"field\">\n          <div class=\"firstName-wrapper\">\n            <label for=\"firstName\" class=\"label\">{{ 'signup.label.firstname' | translate }}:</label>\n            <input type=\"text\" class=\"form-control\" id=\"firstName\" placeholder=\"{{ 'signup.placeholder.firstname' | translate }}\" formControlName=\"firstName\" required>\n            <lib-control-messages [control]=\"signupForm.get(['prospect', 'firstName'])\"></lib-control-messages>\n          </div>\n        </div>\n        <div class=\"field\">\n          <div class=\"lastName-wrapper\">\n            <label for=\"lastName\" class=\"label\">{{ 'signup.label.lastname' | translate }}:</label>\n            <input type=\"text\" class=\"form-control\" id=\"lastName\" placeholder=\"{{ 'signup.placeholder.lastname' | translate }}\" formControlName=\"lastName\" required>\n            <lib-control-messages [control]=\"signupForm.get(['prospect', 'lastName'])\"></lib-control-messages>\n          </div>\n        </div>\n        <div formGroupName=\"address\" class=\"address-wrapper\">\n          <div class=\"field\">\n            <div class=\"address-wrapper\">\n              <label for=\"street\" class=\"label\">{{ 'signup.label.address' | translate }}:</label>\n              <input type=\"text\" class=\"form-control\" id=\"street\" placeholder=\"{{ 'signup.placeholder.address' | translate }}\" formControlName=\"street\" required specialIsAlphaNumeric>\n              <lib-control-messages [control]=\"signupForm.get(['prospect', 'address', 'street'])\"></lib-control-messages>\n            </div>\n          </div>\n          <div class=\"field\">\n            <div class=\"postcode-wrapper\">\n              <label for=\"postcode\" class=\"label\">{{ 'signup.label.postcode' | translate }}:</label>\n              <input type=\"text\" class=\"form-control\" id=\"postcode\" placeholder=\"{{ 'signup.placeholder.postcode' | translate }}\" formControlName=\"postcode\" required specialIsAlphaNumeric>\n              <lib-control-messages [control]=\"signupForm.get(['prospect', 'address', 'postcode'])\"></lib-control-messages>\n            </div>\n          </div>\n          <div class=\"field\">\n            <div class=\"city-wrapper\">\n              <label for=\"city\" class=\"label\">{{ 'signup.label.city' | translate }}:</label>\n              <input type=\"text\" class=\"form-control\" id=\"city\" placeholder=\"{{ 'signup.placeholder.city' | translate }}\" formControlName=\"city\" required specialIsAlphaNumeric>\n              <lib-control-messages [control]=\"signupForm.get(['prospect', 'address', 'city'])\"></lib-control-messages>\n            </div>\n          </div>\n          <div class=\"field\">\n            <div class=\"state-wrapper\">\n              <label for=\"state\" class=\"label\">{{ 'signup.label.state' | translate }}:</label>\n              <input type=\"text\" class=\"form-control\" id=\"state\" placeholder=\"{{ 'signup.placeholder.state' | translate }}\" formControlName=\"state\" required specialIsAlphaNumeric>\n              <lib-control-messages [control]=\"signupForm.get(['prospect', 'address', 'state'])\"></lib-control-messages>\n            </div>\n          </div>\n        </div>\n        <div class=\"field\">\n          <div class=\"phone-wrapper\">\n            <label for=\"phone\" class=\"label\">{{ 'signup.label.phone' | translate }}:</label>\n            <input type=\"text\" class=\"form-control\" id=\"phone\" placeholder=\"{{ 'signup.placeholder.phone' | translate }}\" formControlName=\"phone\" required phoneNumeric>\n            <lib-control-messages [control]=\"signupForm.get(['prospect', 'phone'])\"></lib-control-messages>\n          </div>\n        </div>\n        <div class=\"field\">\n          <div class=\"email-wrapper\">\n            <label for=\"email\" class=\"label\">{{ 'signup.label.email' | translate }}:</label>\n            <input type=\"text\" class=\"form-control\" id=\"email\" placeholder=\"{{ 'signup.placeholder.email' | translate }}\" formControlName=\"email\" required>\n            <lib-control-messages [control]=\"signupForm.get(['prospect', 'email'])\"></lib-control-messages>\n          </div>\n        </div>\n        <div class=\"error-message\">\n          <p>{{errorMessage}}</p>\n        </div>\n        <div class=\"field\">\n          <div class=\"button-wrapper\">\n            <button type=\"submit\" class=\"btn btn-success\" [disabled]=\"!signupForm.valid\">{{ 'signup.button' | translate }}</button>\n          </div>\n        </div>\n      </div>\n    </div>\n  </form>\n</div>\n",
                        styles: ["button{width:100%}"]
                    }] }
        ];
        /** @nocollapse */
        SignupFourComponent.ctorParameters = function () { return [
            { type: forms.FormBuilder },
            { type: router.ActivatedRoute },
            { type: ValidationFormService },
            { type: ConfigInfoService }
        ]; };
        return SignupFourComponent;
    }());
    if (false) {
        /** @type {?} */
        SignupFourComponent.prototype.sessionId;
        /** @type {?} */
        SignupFourComponent.prototype.session;
        /** @type {?} */
        SignupFourComponent.prototype.country;
        /** @type {?} */
        SignupFourComponent.prototype.errorMessage;
        /** @type {?} */
        SignupFourComponent.prototype.signupForm;
        /**
         * @type {?}
         * @private
         */
        SignupFourComponent.prototype.fb;
        /**
         * @type {?}
         * @private
         */
        SignupFourComponent.prototype.route;
        /**
         * @type {?}
         * @private
         */
        SignupFourComponent.prototype.validationService;
        /**
         * @type {?}
         * @private
         */
        SignupFourComponent.prototype.configInfoService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/terms/terms.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TermsComponent = /** @class */ (function () {
        function TermsComponent(configInfoService) {
            this.configInfoService = configInfoService;
        }
        /**
         * @return {?}
         */
        TermsComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            // this.getInitialPeriod();
            this.getCurrency();
            this.getInitialPrice();
            // this.getReBillPeriod();
            this.getReBillPrice();
            this.getCurrentYear();
        };
        /**
         * @return {?}
         */
        TermsComponent.prototype.getReBillPrice = /**
         * @return {?}
         */
        function () {
            this.reBillPrice = this.configInfoService.getConfigInfo('campaign', 'offers', [0], 'products', [0], 'installments', [1], 'price');
        };
        /**
         * @return {?}
         */
        TermsComponent.prototype.getInitialPeriod = /**
         * @return {?}
         */
        function () {
            this.initialPeriod = this.configInfoService.getConfigInfo('campaign', 'offers', [0], 'products', [0], 'installments', [0], 'cycle', 'count') + " \n    " + (this.initialPeriod += this.configInfoService.getConfigInfo('campaign', 'offers', [0], 'products', [0], 'installments', [0], 'cycle', 'type'));
        };
        /**
         * @return {?}
         */
        TermsComponent.prototype.getCurrency = /**
         * @return {?}
         */
        function () {
            this.currency = this.configInfoService.getConfigInfo('campaign', 'currency');
        };
        /**
         * @return {?}
         */
        TermsComponent.prototype.getReBillPeriod = /**
         * @return {?}
         */
        function () {
            this.reBillPeriod = this.configInfoService.getConfigInfo('campaign', 'offers', [0], 'products', [0], 'installments', [1], 'cycle', 'count') + " \n    " + (this.reBillPeriod += this.configInfoService.getConfigInfo('campaign', 'offers', [0], 'products', [0], 'installments', [1], 'cycle', 'type'));
        };
        /**
         * @return {?}
         */
        TermsComponent.prototype.getInitialPrice = /**
         * @return {?}
         */
        function () {
            this.initialPrice = this.configInfoService.getConfigInfo('campaign', 'offers', [0], 'products', [0], 'installments', [0], 'price');
        };
        /**
         * @return {?}
         */
        TermsComponent.prototype.getCurrentYear = /**
         * @return {?}
         */
        function () {
            this.currentYear = this.configInfoService.getCurrentYear();
        };
        TermsComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-terms',
                        template: "<p class=\"terms\">{{ 'terms.text' | translate:{'initialPeriod':initialPeriod, 'currency': currency, 'initialPrice': initialPrice, 'reBillPeriod': reBillPeriod, 'reBillPrice': reBillPrice, 'currentYear': currentYear} }}</p>\n",
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        TermsComponent.ctorParameters = function () { return [
            { type: ConfigInfoService }
        ]; };
        return TermsComponent;
    }());
    if (false) {
        /** @type {?} */
        TermsComponent.prototype.initialPeriod;
        /** @type {?} */
        TermsComponent.prototype.currency;
        /** @type {?} */
        TermsComponent.prototype.initialPrice;
        /** @type {?} */
        TermsComponent.prototype.reBillPeriod;
        /** @type {?} */
        TermsComponent.prototype.reBillPrice;
        /** @type {?} */
        TermsComponent.prototype.currentYear;
        /**
         * @type {?}
         * @private
         */
        TermsComponent.prototype.configInfoService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/control-message/control-message.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ControlMessagesComponent = /** @class */ (function () {
        function ControlMessagesComponent() {
        }
        Object.defineProperty(ControlMessagesComponent.prototype, "errorMessage", {
            get: /**
             * @return {?}
             */
            function () {
                for (var propertyName in this.control.errors) {
                    if (this.control.errors.hasOwnProperty(propertyName) &&
                        this.control.touched) {
                        return propertyName;
                    }
                }
                return null;
            },
            enumerable: true,
            configurable: true
        });
        ControlMessagesComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-control-messages',
                        template: "\n    <div *ngIf=\"errorMessage !== null\">{{'signup.errors.'+errorMessage | translate:{'minlength' : this.control.errors[errorMessage].requiredLength} }}</div>\n  "
                    }] }
        ];
        /** @nocollapse */
        ControlMessagesComponent.ctorParameters = function () { return []; };
        ControlMessagesComponent.propDecorators = {
            control: [{ type: core.Input }]
        };
        return ControlMessagesComponent;
    }());
    if (false) {
        /** @type {?} */
        ControlMessagesComponent.prototype.control;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/directives/validation/numeric.directive.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NumericDirective = /** @class */ (function () {
        function NumericDirective(elRef, renderer, control) {
            this.elRef = elRef;
            this.renderer = renderer;
            this.control = control;
            this.regexStr = '^[0-9]+(?:[\w -]*[0-9]+)*$';
        }
        /**
         * @param {?} event
         * @return {?}
         */
        NumericDirective.prototype.onKeyPress = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            return new RegExp(this.regexStr).test(event.key);
        };
        /**
         * @param {?} event
         * @return {?}
         */
        NumericDirective.prototype.onPaste = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            this.control.control
                .setValue(event.clipboardData
                .getData('text/plain')
                .replace(/\D/g, ''));
        };
        NumericDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[NumericCharacters]'
                    },] }
        ];
        /** @nocollapse */
        NumericDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.Renderer2 },
            { type: forms.NgControl }
        ]; };
        NumericDirective.propDecorators = {
            onKeyPress: [{ type: core.HostListener, args: ['keypress', ['$event'],] }],
            onPaste: [{ type: core.HostListener, args: ['paste', ['$event'],] }]
        };
        return NumericDirective;
    }());
    if (false) {
        /** @type {?} */
        NumericDirective.prototype.regexStr;
        /**
         * @type {?}
         * @private
         */
        NumericDirective.prototype.elRef;
        /**
         * @type {?}
         * @private
         */
        NumericDirective.prototype.renderer;
        /**
         * @type {?}
         * @private
         */
        NumericDirective.prototype.control;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/directives/validation/phone.directive.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PhoneDirective = /** @class */ (function () {
        function PhoneDirective(elRef, renderer, control) {
            this.elRef = elRef;
            this.renderer = renderer;
            this.control = control;
            this.regexStr = '^[+0-9]+(?:[\w -]*[0-9]+)*$';
        }
        /**
         * @param {?} event
         * @return {?}
         */
        PhoneDirective.prototype.onKeyPress = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            return new RegExp(this.regexStr).test(event.key);
        };
        /**
         * @param {?} event
         * @return {?}
         */
        PhoneDirective.prototype.onPaste = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            this.control.control
                .setValue(event.clipboardData
                .getData('text/plain')
                .replace(/[^+0-9]/g, ''));
        };
        PhoneDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[phoneNumeric]'
                    },] }
        ];
        /** @nocollapse */
        PhoneDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.Renderer2 },
            { type: forms.NgControl }
        ]; };
        PhoneDirective.propDecorators = {
            onKeyPress: [{ type: core.HostListener, args: ['keypress', ['$event'],] }],
            onPaste: [{ type: core.HostListener, args: ['paste', ['$event'],] }]
        };
        return PhoneDirective;
    }());
    if (false) {
        /** @type {?} */
        PhoneDirective.prototype.regexStr;
        /**
         * @type {?}
         * @private
         */
        PhoneDirective.prototype.elRef;
        /**
         * @type {?}
         * @private
         */
        PhoneDirective.prototype.renderer;
        /**
         * @type {?}
         * @private
         */
        PhoneDirective.prototype.control;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/directives/validation/alpha-numeric.directive.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SpecialCharacterDirective = /** @class */ (function () {
        function SpecialCharacterDirective(elRef, renderer, control) {
            this.elRef = elRef;
            this.renderer = renderer;
            this.control = control;
            this.regexStr = '^[a-zA-Z0-9_ ]+(?:[\w -]*[a-zA-Z0-9]+)*$';
        }
        /**
         * @param {?} event
         * @return {?}
         */
        SpecialCharacterDirective.prototype.onKeyPress = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            return new RegExp(this.regexStr).test(event.key);
        };
        /**
         * @param {?} event
         * @return {?}
         */
        SpecialCharacterDirective.prototype.onPaste = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            this.control.control
                .setValue(event.clipboardData
                .getData('text/plain')
                .replace(/[^A-Za-z0-9 ]/g, ' ')
                .replace(/\s/g, ' '));
        };
        SpecialCharacterDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[specialIsAlphaNumeric]'
                    },] }
        ];
        /** @nocollapse */
        SpecialCharacterDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.Renderer2 },
            { type: forms.NgControl }
        ]; };
        SpecialCharacterDirective.propDecorators = {
            onKeyPress: [{ type: core.HostListener, args: ['keypress', ['$event'],] }],
            onPaste: [{ type: core.HostListener, args: ['paste', ['$event'],] }]
        };
        return SpecialCharacterDirective;
    }());
    if (false) {
        /** @type {?} */
        SpecialCharacterDirective.prototype.regexStr;
        /**
         * @type {?}
         * @private
         */
        SpecialCharacterDirective.prototype.elRef;
        /**
         * @type {?}
         * @private
         */
        SpecialCharacterDirective.prototype.renderer;
        /**
         * @type {?}
         * @private
         */
        SpecialCharacterDirective.prototype.control;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/countdown/countdown.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CountdownComponent = /** @class */ (function () {
        function CountdownComponent() {
            this.setHours = 0;
            this.setMinutes = 0;
            this.finishedMessage = 'Offer ended';
            this.hideLabels = true;
            this.counterFinished = false;
        }
        /**
         * @return {?}
         */
        CountdownComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.counter();
        };
        /**
         * @return {?}
         */
        CountdownComponent.prototype.counter = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var date = new Date;
            /** @type {?} */
            var countHours = Math.floor(this.setHours * (1000 * 60 * 60));
            /** @type {?} */
            var countMinutes = Math.floor(this.setMinutes * (1000 * 60));
            /** @type {?} */
            var endTime = date.setTime(date.getTime() + countHours + countMinutes);
            /** @type {?} */
            var x = setInterval((/**
             * @return {?}
             */
            function () {
                /** @type {?} */
                var n = new Date().getTime();
                _this.count = endTime - n;
                _this.hours = Math.floor((_this.count / (1000 * 60 * 60)) % 24);
                _this.minutes = Math.floor((_this.count / 1000 / 60) % 60);
                _this.seconds = Math.floor((_this.count / 1000) % 60);
                if (_this.count <= 0) {
                    clearInterval(x);
                    _this.counterFinished = true;
                }
            }), 1000);
        };
        CountdownComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-countdown',
                        template: "<div *ngIf=\"counterFinished; else notFinished\" class=\"countdown\">\n    <div class=\"countdown-inner\">\n        <div class=\"countdown-message\">{{finishedMessage}}</div>\n    </div>\n</div>\n<ng-template #notFinished>\n<div class=\"countdown\">\n    <div class=\"countdown-inner\">        \n        <div *ngIf=\"setHours\" class=\"countdown-count countdown-count-hours\">\n            <div *ngIf=\"hideLabels\" class=\"countdown-count-label\">hours</div>\n            <div class=\"countdown-count-value\">{{hours | number : '2.0'}}</div>\n        </div>\n        <div class=\"countdown-count countdown-count-minutes\">\n            <div *ngIf=\"hideLabels\" class=\"countdown-count-label\">minutes</div>\n            <div class=\"countdown-count-value\">{{minutes | number : '2.0'}}</div>\n        </div>\n        <div class=\"countdown-count countdown-count-seconds\">\n            <div *ngIf=\"hideLabels\" class=\"countdown-count-label\">seconds</div>\n            <div class=\"countdown-count-value\">{{seconds | number : '2.0'}}</div>\n        </div>\n    </div>    \n</div>\n</ng-template>",
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        CountdownComponent.ctorParameters = function () { return []; };
        CountdownComponent.propDecorators = {
            setHours: [{ type: core.Input }],
            setMinutes: [{ type: core.Input }],
            finishedMessage: [{ type: core.Input }],
            hideLabels: [{ type: core.Input }]
        };
        return CountdownComponent;
    }());
    if (false) {
        /** @type {?} */
        CountdownComponent.prototype.setHours;
        /** @type {?} */
        CountdownComponent.prototype.setMinutes;
        /** @type {?} */
        CountdownComponent.prototype.finishedMessage;
        /** @type {?} */
        CountdownComponent.prototype.hideLabels;
        /** @type {?} */
        CountdownComponent.prototype.counterFinished;
        /** @type {?} */
        CountdownComponent.prototype.hours;
        /** @type {?} */
        CountdownComponent.prototype.minutes;
        /** @type {?} */
        CountdownComponent.prototype.seconds;
        /** @type {?} */
        CountdownComponent.prototype.count;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/campaigns-core.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ɵ0 = environment;
    var CampaignsCoreModule = /** @class */ (function () {
        function CampaignsCoreModule(utilsService) {
            this.utilsService = utilsService;
            this.utilsService.setConfigSession();
            this.utilsService.setDefaultTranslation();
            this.utilsService.setRoutClassOnBody();
            this.utilsService.setCakeParams();
        }
        CampaignsCoreModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [CampaignsCoreComponent, SignupComponent, InitialPeriodComponent, InitialPriceComponent, ReBillPriceComponent, ReBillPeriodComponent, CurrencyComponent, CurrentYearComponent, ConfigInfoComponent, SignupTwoComponent, SignupThreeComponent, SignupFourComponent, TermsComponent, ControlMessagesComponent, SpecialCharacterDirective, NumericDirective, PhoneDirective, SpecialCharacterDirective, CountdownComponent],
                        imports: [
                            common.CommonModule,
                            http.HttpClientModule,
                            core$1.TranslateModule.forRoot({
                                loader: {
                                    provide: core$1.TranslateLoader,
                                    useFactory: HttpLoaderFactory,
                                    deps: [http.HttpClient]
                                }
                            }),
                            forms.FormsModule,
                            forms.ReactiveFormsModule
                        ],
                        exports: [CampaignsCoreComponent, SignupComponent, InitialPeriodComponent, InitialPriceComponent, ReBillPriceComponent, ReBillPeriodComponent, CurrencyComponent, CurrentYearComponent, SignupTwoComponent, SignupThreeComponent, SignupFourComponent, TermsComponent, CountdownComponent],
                        providers: [
                            {
                                provide: 'CompanyInfoService', useClass: CompanyInfoService
                            },
                            {
                                provide: 'ConfigInfoComponent', useClass: ConfigInfoComponent
                            },
                            {
                                provide: 'environment', useValue: ɵ0
                            }
                        ]
                    },] }
        ];
        /** @nocollapse */
        CampaignsCoreModule.ctorParameters = function () { return [
            { type: UtilsService }
        ]; };
        return CampaignsCoreModule;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        CampaignsCoreModule.prototype.utilsService;
    }
    /**
     * @param {?} http
     * @return {?}
     */
    function HttpLoaderFactory(http) {
        return new ngxTranslateMultiHttpLoader.MultiTranslateHttpLoader(http, []);
    }

    exports.CampaignsCoreComponent = CampaignsCoreComponent;
    exports.CampaignsCoreModule = CampaignsCoreModule;
    exports.CampaignsCoreService = CampaignsCoreService;
    exports.CompanyInfoService = CompanyInfoService;
    exports.HttpLoaderFactory = HttpLoaderFactory;
    exports.ɵa = SignupComponent;
    exports.ɵb = ConfigInfoService;
    exports.ɵc = SessionService;
    exports.ɵd = UtilsService;
    exports.ɵe = ValidationFormService;
    exports.ɵf = InitialPeriodComponent;
    exports.ɵg = InitialPriceComponent;
    exports.ɵh = ReBillPriceComponent;
    exports.ɵi = ReBillPeriodComponent;
    exports.ɵj = CurrencyComponent;
    exports.ɵk = CurrentYearComponent;
    exports.ɵl = ConfigInfoComponent;
    exports.ɵm = SignupTwoComponent;
    exports.ɵn = SignupThreeComponent;
    exports.ɵo = SignupFourComponent;
    exports.ɵp = TermsComponent;
    exports.ɵq = ControlMessagesComponent;
    exports.ɵr = SpecialCharacterDirective;
    exports.ɵs = NumericDirective;
    exports.ɵt = PhoneDirective;
    exports.ɵu = CountdownComponent;
    exports.ɵv = environment;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=campaigns-core.umd.js.map
