import { Renderer2, RendererFactory2 } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { SessionService } from './session.service';
import { ActivatedRoute, Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
export declare class UtilsService {
    private http;
    private sessionService;
    private translate;
    private rendererFactory;
    private router;
    private route;
    renderer: Renderer2;
    constructor(http: HttpClient, sessionService: SessionService, translate: TranslateService, rendererFactory: RendererFactory2, router: Router, route: ActivatedRoute);
    getNested(object: any, ...args: any[]): any;
    getIPAddress(): Observable<any>;
    getSessionId(): string;
    getSession(): string;
    setRoutClassOnBody(): void;
    setDefaultTranslation(): void;
    setCakeParams(): void;
    setConfigSession(): void;
}
