import { OnInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { ConfigInfoService } from '../../services/config-info.service';
import { FormBuilder } from '@angular/forms';
import { ActivatedRoute } from '@angular/router';
import { ValidationFormService } from '../../services/validation-form.service';
export declare class SignupComponent implements OnInit {
    private formBuilder;
    private route;
    private translate;
    private configInfoService;
    private validationService;
    sessionId: string;
    session: any;
    country: string;
    errorMessage: string;
    signupForm: import("@angular/forms").FormGroup;
    constructor(formBuilder: FormBuilder, route: ActivatedRoute, translate: TranslateService, configInfoService: ConfigInfoService, validationService: ValidationFormService);
    ngOnInit(): void;
    preFiledInfo(): void;
    patchSession(): void;
}
